#include <menu.h>

void
refresh_all(menu)
 MENU *menu;
{
 int i, numpars;
 MENU *tmp;

 tmp = menu;
 for( numpars=0; tmp->parent != NULL; numpars++)
	tmp=tmp->parent->base;

 while(numpars>0){
	refresh(tmp);
	numpars--;
	tmp = menu;
	for( i=0; i<numpars; i++)
		tmp=tmp->parent->base;
	}
 refresh(menu);
}
